import React from "react";
import { compileCode } from "./compiler";
import { MyComponents } from "./my-components";

export default function Preview({
  componentName,
  tutorialCode,
}: {
  componentName: string;
  tutorialCode: string;
}) {
  // const Component =
  //   componentName && MyComponents[componentName] ? (
  //     MyComponents[componentName]
  //   ) : (
  //     <></>
  //   );
  const Component =
    componentName !== ""
      ? MyComponents[componentName]
      : compileCode(tutorialCode)(React);
  return <Component />;
}
