import { Metadata } from "next";
import React from "react";
import Header from "@/components/task/header";

export const metadata: Metadata = {
    title: "Task | Skilled Ai",
    description: "Skilled Ai",
  };

const Layout = ({ children }: { children: React.ReactNode }) => {
  return (
    <div className="grid grid-rows-[53px_1fr] min-h-screen">
        <Header/>
      <main className="">{children}</main>
    </div>
  );
};

export default Layout;
